Subject: Offline Message from Allen Richey: I've had my eb-5 since March. I use for tr
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Tue, 17 Aug 2021 06:01:07 -0000

From: Allen Richey <[email-masked]>
Phone: (256)385-2420
Location: The Bronx, United States
URL: https://swagtron.com/electric-bikes/
Department: SwagTron

I've had my eb-5 since March. I use for traveling to work and back home 11.5 miles one way. And random trips put a total of around 150 miles per week on this bike and it's been great. Today however my battery stopped taking a charge. Is there anything I can do?

----
Zopim
https://www.zopim.com